queue - Task #6625

Fix our dkim setup
04/25/2019 03:24 PM - Nico Schottelius

Status: Closed Start date:
Priority: Normal Due date:
Assignee: Nico Schottelius % Done:
Category: Estimated time:

Target version:
PM Check date: 04/28/2019

04/25/2019
05/02/2019
90%

0.00 hour

Description

From: Maximilian Eschenbacher <maximilian@XXX>
To: info@ungleich.ch

Subject: DKIM verification failure on ungleich.ch
Flags: seen, signed

Date: Mon 22 Apr 2019 10:21:13 PM CEST

Maildir: /ungleich/inbox

Attachments: [1l]1l.msgpart (358)

Signature: unverified (Details)

Hey there!

I've recently reconfigured my mail setup an noticed a DKIM verification

failure in my logs for a mail to the bird-users-ML and though I'd give

you a heads up:

Apr 20 18:55:27 gadesch opendkim[24840]: 9AB3215F613: key retrieval failed (s=mail,

'mail._domainkey.ungleich.ch' record not found
Best regards

Maximilian Eschenbacher

d=ungleich.ch)

History

#1 - 04/28/2019 02:30 PM - Jason Kim
- PM Check date set to 04/28/2019

#2 - 04/29/2019 02:22 PM - Jin-Guk Kwon
it looks like DKIM is disabled.

- it is disabled in cdist type

In __ungleich_mx_primary/manifest

# Enable OpenDKIM
#__ungleich_opendkim

- there are no TXT record.

no TXT record in zone files

mail._domainkey IN TXT ( "v=DKIM1l; k=rs

#3 - 04/29/2019 03:22 PM - Nico Schottelius

First check whether the entries are in DNS - | am not sure whether they
are correctly added at the moment

redmine@ungleich.ch writes:

#4 - 06/25/2019 09:41 PM - Mirjana Rupar
mailto:redmine@ungleich.ch

Jin-Guk, update the status of the task and comment, please.

#5 - 06/26/2019 12:06 PM - Nico Schottelius
- Project changed from 45 to queue
- Description updated

- Assignee deleted (Jin-Guk Kwon)

queued

#6 - 10/17/2019 10:29 AM - Jin-Guk Kwon
- Status changed from New to Feedback
- Assignee set to Nico Schottelius

- % Done changed from 0 to 90

1. recreate DKIM Key for ungleich.ch

2. update /etc/opendkim.conf file
- add Domain, Selector, Socket

3. update /etc/default/opendkim file

4. updated DNS Record on DNS server
- updated zone file

5. run DNS cdist
6. test DKIM

- http:/www.mail-tester.com --> DKIM pass
- https://www.appmaildev.com/en/dkim --> pass

7. update _ungleich_opendkim cdist

- update dot-cdist/files/dkim_domain_keys/ungleich.ch/mail.private
- update dot-cdist/files/dkim_domain_keys/ungleich.ch/mail.txt

- update dot-cdist/type/_ungleich_opendkim/files/opendkim.conf

- update dot-cdist/type/__ungleich_opendkim/files/defaults

#7 - 12/31/2023 06:52 PM - Nico Schottelius
- Status changed from Feedback to Closed
